INCLUDES=-I${top_srcdir} @AKAXISO_INCLUDES@

check_PROGRAMS=testakaxiso

testakaxiso_SOURCES=run.cpp \
	arrayTest.cpp \
	sequenceTest.cpp \
	attributeTest.cpp

#	ChoiceTest.cpp \
#	NamespaceTest.cpp \
#	SimpleTypeTest.cpp \
#	SimpleContentTest.cpp

testakaxiso_LDFLAGS=-L/usr/local/lib -lcppunit -ldl  @AKAXISO_LIBS@
testakaxiso_LDADD=../akaxiso/libakaxiso.la
testakaxiso_DEPENDENCIES=../akaxiso/libakaxiso.la

test: testakaxiso
	./testakaxiso --compiler

